import PropTypes from 'prop-types';
import useExperiment from '../hooks/useExperiment.js';
export default function Experiment(_ref) {
  var experimentName = _ref.experimentName,
    attributes = _ref.attributes,
    trackExperimentViewed = _ref.trackExperimentViewed,
    queryString = _ref.queryString,
    children = _ref.children;
  var _useExperiment = useExperiment({
      experimentName: experimentName,
      attributes: attributes,
      trackExperimentViewed: trackExperimentViewed,
      queryString: queryString
    }),
    variation = _useExperiment.variation;
  return children({
    variation: variation
  });
}
Experiment.propTypes = {
  experimentName: PropTypes.string.isRequired,
  attributes: PropTypes.object,
  trackExperimentViewed: PropTypes.func,
  queryString: PropTypes.string,
  children: PropTypes.func
};
Experiment.displayName = 'Experiment';